<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_getBstoreContainer" title="getBstoreContainer ::Get BLIP Store Container.">
            <span class="description">Get BLIP Store Container.</span><pre>getBstoreContainer</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getCDgSaved" title="getCDgSaved ::Get total number of drawings saved.">
            <span class="description">Get total number of drawings saved.</span><pre>getCDgSaved</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getCSpSaved" title="getCSpSaved ::Get total number of shapes saved (including group shapes).">
            <span class="description">Get total number of shapes saved (including group shapes).</span><pre>getCSpSaved</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getIDCLs" title="getIDCLs ::Get identifier clusters.">
            <span class="description">Get identifier clusters.</span><pre>getIDCLs</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getOPT" title="getOPT ::Get an option for the drawing group.">
            <span class="description">Get an option for the drawing group.</span><pre>getOPT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSpIdMax" title="getSpIdMax ::Get maximum shape index of all shapes in all drawings (plus one).">
            <span class="description">Get maximum shape index of all shapes in all drawings (plus one).</span><pre>getSpIdMax</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setBstoreContainer" title="setBstoreContainer ::Set BLIP Store Container.">
            <span class="description">Set BLIP Store Container.</span><pre>setBstoreContainer</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setCDgSaved" title="setCDgSaved ::Set total number of drawings saved.">
            <span class="description">Set total number of drawings saved.</span><pre>setCDgSaved</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setCSpSaved" title="setCSpSaved ::Set total number of shapes saved (including group shapes).">
            <span class="description">Set total number of shapes saved (including group shapes).</span><pre>setCSpSaved</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setIDCLs" title="setIDCLs ::Set identifier clusters. [&lt;drawingId&gt; =&gt; &lt;max shape id&gt;, .">
            <span class="description">Set identifier clusters. [&lt;drawingId&gt; =&gt; &lt;max shape id&gt;, .</span><pre>setIDCLs</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setOPT" title="setOPT ::Set an option for the drawing group.">
            <span class="description">Set an option for the drawing group.</span><pre>setOPT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSpIdMax" title="setSpIdMax ::Set maximum shape index of all shapes in all drawings (plus one).">
            <span class="description">Set maximum shape index of all shapes in all drawings (plus one).</span><pre>setSpIdMax</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>DggContainer</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_getBstoreContainer"></a>
                        <div class="element clickable methodpublic method_getBstoreContainer" data-toggle="collapse" data-target=".method_getBstoreContainer .collapse">
                            <h2>Get BLIP Store Container.</h2>
                            <pre>getBstoreContainer(): \PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getCDgSaved"></a>
                        <div class="element clickable methodpublic method_getCDgSaved" data-toggle="collapse" data-target=".method_getCDgSaved .collapse">
                            <h2>Get total number of drawings saved.</h2>
                            <pre>getCDgSaved(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getCSpSaved"></a>
                        <div class="element clickable methodpublic method_getCSpSaved" data-toggle="collapse" data-target=".method_getCSpSaved .collapse">
                            <h2>Get total number of shapes saved (including group shapes).</h2>
                            <pre>getCSpSaved(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIDCLs"></a>
                        <div class="element clickable methodpublic method_getIDCLs" data-toggle="collapse" data-target=".method_getIDCLs .collapse">
                            <h2>Get identifier clusters.</h2>
                            <pre>getIDCLs(): array</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getOPT"></a>
                        <div class="element clickable methodpublic method_getOPT" data-toggle="collapse" data-target=".method_getOPT .collapse">
                            <h2>Get an option for the drawing group.</h2>
                            <pre>getOPT(integer $property): mixed</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$property</h4>
                                                <code>integer</code><p><p>The number specifies the option</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSpIdMax"></a>
                        <div class="element clickable methodpublic method_getSpIdMax" data-toggle="collapse" data-target=".method_getSpIdMax .collapse">
                            <h2>Get maximum shape index of all shapes in all drawings (plus one).</h2>
                            <pre>getSpIdMax(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setBstoreContainer"></a>
                        <div class="element clickable methodpublic method_setBstoreContainer" data-toggle="collapse" data-target=".method_setBstoreContainer .collapse">
                            <h2>Set BLIP Store Container.</h2>
                            <pre>setBstoreContainer(\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer $bstoreContainer)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$bstoreContainer</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setCDgSaved"></a>
                        <div class="element clickable methodpublic method_setCDgSaved" data-toggle="collapse" data-target=".method_setCDgSaved .collapse">
                            <h2>Set total number of drawings saved.</h2>
                            <pre>setCDgSaved(integer $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>integer</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setCSpSaved"></a>
                        <div class="element clickable methodpublic method_setCSpSaved" data-toggle="collapse" data-target=".method_setCSpSaved .collapse">
                            <h2>Set total number of shapes saved (including group shapes).</h2>
                            <pre>setCSpSaved(integer $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>integer</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setIDCLs"></a>
                        <div class="element clickable methodpublic method_setIDCLs" data-toggle="collapse" data-target=".method_setIDCLs .collapse">
                            <h2>Set identifier clusters. [&lt;drawingId&gt; =&gt; &lt;max shape id&gt;, .</h2>
                            <pre>setIDCLs(array $pValue)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>..].</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>array</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setOPT"></a>
                        <div class="element clickable methodpublic method_setOPT" data-toggle="collapse" data-target=".method_setOPT .collapse">
                            <h2>Set an option for the drawing group.</h2>
                            <pre>setOPT(integer $property,mixed $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$property</h4>
                                                <code>integer</code><p><p>The number specifies the option</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setSpIdMax"></a>
                        <div class="element clickable methodpublic method_setSpIdMax" data-toggle="collapse" data-target=".method_setSpIdMax .collapse">
                            <h2>Set maximum shape index of all shapes in all drawings (plus one).</h2>
                            <pre>setSpIdMax(integer $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>integer</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_spIdMax"> </a>
                            <div class="element clickable propertyprivate property_spIdMax" data-toggle="collapse" data-target=".property_spIdMax .collapse">
                                <h2>Maximum shape index of all shapes in all drawings increased by one.</h2>
                                <pre>spIdMax :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_cDgSaved"> </a>
                            <div class="element clickable propertyprivate property_cDgSaved" data-toggle="collapse" data-target=".property_cDgSaved .collapse">
                                <h2>Total number of drawings saved.</h2>
                                <pre>cDgSaved :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_cSpSaved"> </a>
                            <div class="element clickable propertyprivate property_cSpSaved" data-toggle="collapse" data-target=".property_cSpSaved .collapse">
                                <h2>Total number of shapes saved (including group shapes).</h2>
                                <pre>cSpSaved :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_bstoreContainer"> </a>
                            <div class="element clickable propertyprivate property_bstoreContainer" data-toggle="collapse" data-target=".property_bstoreContainer .collapse">
                                <h2>BLIP Store Container.</h2>
                                <pre>bstoreContainer :\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_OPT"> </a>
                            <div class="element clickable propertyprivate property_OPT" data-toggle="collapse" data-target=".property_OPT .collapse">
                                <h2>Array of options for the drawing group.</h2>
                                <pre>OPT :array</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                            <a id="property_IDCLs"> </a>
                            <div class="element clickable propertyprivate property_IDCLs" data-toggle="collapse" data-target=".property_IDCLs .collapse">
                                <h2>Array of identifier clusters containg information about the maximum shape identifiers.</h2>
                                <pre>IDCLs :array</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Shared.Escher.html">Escher</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.html">DggContainer</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:48 +0000.<br/>
    </footer></body>
</html>
